%define	shortname	compizconfig
%define	name		libcompizconfig
%define	version		0.9.5.94
%define	rel			0
%define	subrel		3
%define	git			bzr430

%define	major			0
%define	libname			%mklibname %shortname %major
%define	libname_devel	%mklibname -d %shortname

%if  %{git}
%define srcname %{name}-%{git}.tar.xz
%define distname %{name}-%{git}
%define release %mkrel %{rel}.%{git}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

%define _disable_ld_no_undefined 1


Summary:	Backend configuration library from Compiz
Name:		%{name}
Version:	%{version}
Release:	%{release}
# only ini backend is GPLv2+
License:	LGPLv2+ and GPLv2+
Group:		System/X11
URL:		http://www.compiz.org/

# get source from launchpad
# bzr branch lp:compiz-libcompizconfig
# pushd compiz-libcompizconfig
# bzr export --format=tar ../libcompizconfig-bzrcommit_id.tar
# popd
# xz -z -e libcompizconfig-bzrcommit_id.tar

Source0:	%{srcname}
Patch0:		libcompizconfig-0.9.5.92-mdv-fix-libdir.patch


BuildRequires:	cmake
BuildRequires:	libxml2-devel
BuildRequires:	compiz-devel >= %{version}
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	protobuf-devel
BuildRequires:	boost-devel


%description
Backend configuration library from Compiz

#----------------------------------------------------------------------------

%package -n %libname
Summary:	Backend configuration library from Compiz
Group:		System/X11
Provides:	%{name} = %{version}-%{release}

%description -n %libname
Backend configuration library from Compiz

%files -n %libname
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package common
Summary:	Common files for libcompizconfig
Group:		System/X11
Provides:	%{shortname}-common = %{version}-%{release}
Conflicts:	%{libname} < 0.8.8

%description common
Common files for libcompizconfig

%files common
%{_libdir}/compiz/libccp.so
%{_libdir}/%{shortname}/backends/libini.so
%{_datadir}/compiz/ccp.xml
%{_datadir}/gconf/schemas/compiz-*.schemas
%{_datadir}/glib-2.0/schemas/org.freedesktop.compiz.*

#----------------------------------------------------------------------------

%package -n %libname_devel
Summary:	Development files for libcompizconfig
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %libname_devel
Development files for libcompizconfig

%files -n %libname_devel
%dir %{_includedir}/%{shortname}
%{_includedir}/%{shortname}/ccs.h
%{_includedir}/%{shortname}/ccs-backend.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/compiz/cmake/*.cmake
%{_datadir}/cmake/Modules/*.cmake

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%patch0

%build

%cmake
%make

%install
%__rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

# This should work, but is buggy upstream:
# make DESTDIR=%{buildroot} findcompizconfig_install
# So we do this instead:
mkdir -p %{buildroot}%{_datadir}/cmake/Modules
cmake -E copy cmake/FindCompizConfig.cmake %{buildroot}%{_datadir}/cmake/Modules

find %{buildroot} -name *.la -exec rm -f {} \;

#----------------------------------------------------------------------------


%changelog

* Thu Apr 26 2012 julien <julien> 0.9.5.94-0.bzr430.3.mga2
+ Revision: 233368
- rebuild for new compiz

* Sun Apr 01 2012 julien <julien> 0.9.5.94-0.bzr430.2.mga2
+ Revision: 227683
- update to latest bzr (fix a crash)

* Sun Mar 25 2012 fwang <fwang> 0.9.5.94-0.bzr429.2.mga2
+ Revision: 226168
- rebuild for new compiz

  + julien <julien>
    - update to latest bzr (fix a crash with keybinding)

* Sat Mar 03 2012 julien <julien> 0.9.5.94-0.bzr428.2.mga2
+ Revision: 217404
- rebuild for new compiz

* Thu Feb 23 2012 julien <julien> 0.9.5.94-0.bzr428.1.mga2
+ Revision: 212685
- rebuild for new compiz

* Sun Feb 05 2012 julien <julien> 0.9.5.94-0.bzr428.mga2
+ Revision: 204816
- update to prerelease 0.9.5.94 from launchpad

* Sun Jan 22 2012 julien <julien> 0.9.5.92-5.mga2
+ Revision: 199869
- rebuild for new compiz

* Wed Nov 30 2011 julien <julien> 0.9.5.92-4.mga2
+ Revision: 174419
- rebuild for new compiz

* Sun Nov 27 2011 julien <julien> 0.9.5.92-3.mga2
+ Revision: 173058
- clean up spec a bit

* Sun Nov 20 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 169903
- correct license
- rebuild for protobuf

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164387
- add boost BR
- small cleanup of  specfile
- update to 0.9.5.92
- add patch0 to fix libini.so always in /lib

* Thu Jul 14 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 124117
- add a conflict to version < 0.8.8
- remove useless requires and provides
- separate lib and common files
- update to version 0.8.8
 - cleanup specfile

* Mon Feb 28 2011 eandry <eandry> 0.8.4-4.mga1
+ Revision: 61745
- drop buildroot
- fix URL

  + colin <colin>
    - imported package libcompizconfig

